# Copyright © 2023 OpenIM SDK. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# name: Github Rebot for Link check error

# on:
#   pull_request:
#     branches: [ main ]
#     paths:
#       - '**.md'
#       - 'docs/**'
#       - '.lycheeignore'
#   push:
#     branches: [ main ]
  
#   schedule: 
#     - cron:  '0 11 * * *'

# jobs:
#   linkChecker:
#     runs-on: ubuntu-latest
#     steps:
#       - uses: actions/checkout@v3

#       - name: Link Checker
#         id: lychee
#         uses: lycheeverse/lychee-action@v1.7.0
#         with:
#             # For parameter description, see https://github.com/lycheeverse/lychee#commandline-parameters
#             # Actions Link address -> https://github.com/lycheeverse/lychee-action
#             # -E, --exclude-all-private    Exclude all private IPs from checking.
#             # -i, --insecure               Proceed for server connections considered insecure (invalid TLS)
#             # -n, --no-progress            Do not show progress bar.
#             # -t, --timeout <timeout>      Website timeout in seconds from connect to response finished [default:20]
#             # --max-concurrency <max-concurrency>    Maximum number of concurrent network requests [default: 128]
#             # -a --accept <accept>                      Comma-separated list of accepted status codes for valid links
#             # docs/.vitepress/dist the site directory to check
#             # ./*.md all markdown files in the root directory
#           args: --verbose  -E -i --no-progress --exclude-path './CHANGELOG' './**/*.md'
#         env:
#           GITHUB_TOKEN: ${{secrets.GH_PAT}}

#       - name: Create Issue From File
#         if: env.lychee_exit_code != 0
#         uses: peter-evans/create-issue-from-file@v4
#         with:
#           title: Bug reports for links in OpenIM docs
#           content-filepath: ./lychee/out.md
#           labels: kind/documentation, triage/unresolved, report
#           token: ${{ secrets.BOT_GITHUB_TOKEN }}
